ru.bitel.oss.systems.inventory.resource.common.bean

## Class IpResourceNet

- java.lang.Object
- - ru.bitel.common.inet.IpNet
  - - ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceNet

- All Implemented Interfaces:
    IpResourceInstance, Resource

      public class IpResourceNet
      extends IpNet
      implements IpResourceInstance, Resource

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.inet.IpNet

      `mask, subnet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IpResourceNet()`
    `IpResourceNet(int ipResourceId, byte[] subnet, int mask)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIpResourceId()`
    `static void` | `newIpResourceNetList(IpResource resource, java.util.List<IpResourceSubscription> subscriptionList, int mask, int max, java.util.List<IpResourceNet> result)` Разделение ресурса на свободные диапазоны и последуещее разделение на подсети.
    `static void` | `newIpResourceNetList(java.lang.Iterable<IpResourceRange> rangeList, int mask, int max, java.util.List<IpResourceNet> result)`
    `void` | `setIpResourceId(int ipResourceId)`

    - ### Methods inherited from class ru.bitel.common.inet.IpNet

      `getBroadcast, getBroadcast, getHostMax, getHostMin, getMask, getMask, getMaxIp, getNetmask, getNetmask, getNetmaskWildcard, getNetmaskWildcard, getSubnet, inNet, inNet, maskToInt, newInstance, setMask, setSubnet, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceInstance

      `toString`

- - ### Constructor Detail

    - #### IpResourceNet

          public IpResourceNet()

    - #### IpResourceNet

          public IpResourceNet(int ipResourceId,
                               byte[] subnet,
                               int mask)

  - ### Method Detail

    - #### getIpResourceId

          public int getIpResourceId()

      Specified by:
        `getIpResourceId` in interface `IpResourceInstance`

    - #### setIpResourceId

          public void setIpResourceId(int ipResourceId)

      Specified by:
        `setIpResourceId` in interface `IpResourceInstance`

    - #### newIpResourceNetList

          public static void newIpResourceNetList(IpResource resource,
                                                  java.util.List<IpResourceSubscription> subscriptionList,
                                                  int mask,
                                                  int max,
                                                  java.util.List<IpResourceNet> result)

      Разделение ресурса на свободные диапазоны и последуещее разделение на подсети.
      Parameters:
        `resource` -
        `subscriptionList` -
        `mask` -
        `max` -
        `result` -

    - #### newIpResourceNetList

          public static void newIpResourceNetList(java.lang.Iterable<IpResourceRange> rangeList,
                                                  int mask,
                                                  int max,
                                                  java.util.List<IpResourceNet> result)